typedef struct {
	char*	symbol;
	unsigned int	addr;
} symbol_t;

static char _AllocateKernelMemory_string[] = "_AllocateKernelMemory";
static char _AllocateMemoryRange_string[] = "_AllocateMemoryRange";
static char _BeFSGetDescription_string[] = "_BeFSGetDescription";
static char _BeFSProbe_string[] = "_BeFSProbe";
static char _BinaryUnicodeCompare_string[] = "_BinaryUnicodeCompare";
static char _CacheInit_string[] = "_CacheInit";
static char _CacheRead_string[] = "_CacheRead";
static char _CacheReset_string[] = "_CacheReset";
static char _CreateUUIDString_string[] = "_CreateUUIDString";
static char _DT__AddChild_string[] = "_DT__AddChild";
static char _DT__AddProperty_string[] = "_DT__AddProperty";
static char _DT__Finalize_string[] = "_DT__Finalize";
static char _DT__FindNode_string[] = "_DT__FindNode";
static char _DT__FlattenDeviceTree_string[] = "_DT__FlattenDeviceTree";
static char _DT__FreeNode_string[] = "_DT__FreeNode";
static char _DT__FreeProperty_string[] = "_DT__FreeProperty";
static char _DT__GetName_string[] = "_DT__GetName";
static char _DT__Initialize_string[] = "_DT__Initialize";
static char _DecodeKernel_string[] = "_DecodeKernel";
static char _DecodeMachO_string[] = "_DecodeMachO";
static char _EX2GetDescription_string[] = "_EX2GetDescription";
static char _EX2Probe_string[] = "_EX2Probe";
static char _EXFATGetDescription_string[] = "_EXFATGetDescription";
static char _EXFATGetUUID_string[] = "_EXFATGetUUID";
static char _EXFATProbe_string[] = "_EXFATProbe";
static char _FastRelString_string[] = "_FastRelString";
static char _FastUnicodeCompare_string[] = "_FastUnicodeCompare";
static char _FileLoadBundles_string[] = "_FileLoadBundles";
static char _FileLoadDrivers_string[] = "_FileLoadDrivers";
static char _FindAcpiTables_string[] = "_FindAcpiTables";
static char _FreeBSDGetDescription_string[] = "_FreeBSDGetDescription";
static char _FreeBSDProbe_string[] = "_FreeBSDProbe";
static char _GPT_BASICDATA2_GUID_string[] = "_GPT_BASICDATA2_GUID";
static char _GPT_BASICDATA_GUID_string[] = "_GPT_BASICDATA_GUID";
static char _GPT_BOOT_GUID_string[] = "_GPT_BOOT_GUID";
static char _GPT_EFISYS_GUID_string[] = "_GPT_EFISYS_GUID";
static char _GPT_HFS_GUID_string[] = "_GPT_HFS_GUID";
static char _Gdt_string[] = "_Gdt";
static char _Gdtr_string[] = "_Gdtr";
static char _GetBundleDict_string[] = "_GetBundleDict";
static char _GetBundlePath_string[] = "_GetBundlePath";
static char _GetBundlePersonality_string[] = "_GetBundlePersonality";
static char _GetChecksum_string[] = "_GetChecksum";
static char _GetDirEntry_string[] = "_GetDirEntry";
static char _GetFileInfo_string[] = "_GetFileInfo";
static char _GetgPlatformName_string[] = "_GetgPlatformName";
static char _GetgRootDevice_string[] = "_GetgRootDevice";
static char _Getgboardproduct_string[] = "_Getgboardproduct";
static char _HFSFree_string[] = "_HFSFree";
static char _HFSGetDescription_string[] = "_HFSGetDescription";
static char _HFSGetDirEntry_string[] = "_HFSGetDirEntry";
static char _HFSGetFileBlock_string[] = "_HFSGetFileBlock";
static char _HFSGetUUID_string[] = "_HFSGetUUID";
static char _HFSInitPartition_string[] = "_HFSInitPartition";
static char _HFSLoadFile_string[] = "_HFSLoadFile";
static char _HFSLoadVerbose_string[] = "_HFSLoadVerbose";
static char _HFSProbe_string[] = "_HFSProbe";
static char _HFSReadFile_string[] = "_HFSReadFile";
static char _Idtr_prot_string[] = "_Idtr_prot";
static char _Idtr_real_string[] = "_Idtr_real";
static char _InitBootPrompt_string[] = "_InitBootPrompt";
static char _InitBundleSupport_string[] = "_InitBundleSupport";
static char _InitDriverSupport_string[] = "_InitDriverSupport";
static char _LoadBundlePList_string[] = "_LoadBundlePList";
static char _LoadBundles_string[] = "_LoadBundles";
static char _LoadDriverMKext_string[] = "_LoadDriverMKext";
static char _LoadDriverPList_string[] = "_LoadDriverPList";
static char _LoadDrivers_string[] = "_LoadDrivers";
static char _LoadFile_string[] = "_LoadFile";
static char _LoadMatchedBundles_string[] = "_LoadMatchedBundles";
static char _LoadMatchedModules_string[] = "_LoadMatchedModules";
static char _LoadThinFatFile_string[] = "_LoadThinFatFile";
static char _LoadVolumeFile_string[] = "_LoadVolumeFile";
static char _MD5Final_string[] = "_MD5Final";
static char _MD5Init_string[] = "_MD5Init";
static char _MD5Update_string[] = "_MD5Update";
static char _MSDOSFree_string[] = "_MSDOSFree";
static char _MSDOSGetDescription_string[] = "_MSDOSGetDescription";
static char _MSDOSGetDirEntry_string[] = "_MSDOSGetDirEntry";
static char _MSDOSGetFileBlock_string[] = "_MSDOSGetFileBlock";
static char _MSDOSGetUUID_string[] = "_MSDOSGetUUID";
static char _MSDOSInitPartition_string[] = "_MSDOSInitPartition";
static char _MSDOSLoadFile_string[] = "_MSDOSLoadFile";
static char _MSDOSProbe_string[] = "_MSDOSProbe";
static char _MSDOSReadFile_string[] = "_MSDOSReadFile";
static char _MatchBundlesLibraries_string[] = "_MatchBundlesLibraries";
static char _MatchLibraries_string[] = "_MatchLibraries";
static char _NTFSGetDescription_string[] = "_NTFSGetDescription";
static char _NTFSGetUUID_string[] = "_NTFSGetUUID";
static char _NTFSProbe_string[] = "_NTFSProbe";
static char _OpenBSDGetDescription_string[] = "_OpenBSDGetDescription";
static char _OpenBSDProbe_string[] = "_OpenBSDProbe";
static char _ParseXMLFile_string[] = "_ParseXMLFile";
static char _ReadFileAtOffset_string[] = "_ReadFileAtOffset";
static char _Register_Acpi_Efi_string[] = "_Register_Acpi_Efi";
static char _Register_Smbios_Efi_string[] = "_Register_Smbios_Efi";
static char _SetgPlatformName_string[] = "_SetgPlatformName";
static char _SetgRootDevice_string[] = "_SetgRootDevice";
static char _Setgboardproduct_string[] = "_Setgboardproduct";
static char _ThinFatFile_string[] = "_ThinFatFile";
static char _XMLCastArray_string[] = "_XMLCastArray";
static char _XMLCastBoolean_string[] = "_XMLCastBoolean";
static char _XMLCastDict_string[] = "_XMLCastDict";
static char _XMLCastInteger_string[] = "_XMLCastInteger";
static char _XMLCastString_string[] = "_XMLCastString";
static char _XMLCastStringOffset_string[] = "_XMLCastStringOffset";
static char _XMLDecode_string[] = "_XMLDecode";
static char _XMLFreeTag_string[] = "_XMLFreeTag";
static char _XMLGetElement_string[] = "_XMLGetElement";
static char _XMLGetProperty_string[] = "_XMLGetProperty";
static char _XMLIsType_string[] = "_XMLIsType";
static char _XMLParseFile_string[] = "_XMLParseFile";
static char _XMLParseNextTag_string[] = "_XMLParseNextTag";
static char _XMLTagCount_string[] = "_XMLTagCount";
static char __DATA__bss__begin_string[] = "__DATA__bss__begin";
static char __DATA__bss__end_string[] = "__DATA__bss__end";
static char __DATA__common__begin_string[] = "__DATA__common__begin";
static char __DATA__common__end_string[] = "__DATA__common__end";
static char ___bzero_string[] = "___bzero";
static char ___convertImage_string[] = "___convertImage";
static char ___decodeRLE_string[] = "___decodeRLE";
static char ___divdi3_string[] = "___divdi3";
static char ___drawColorRectangle_string[] = "___drawColorRectangle";
static char ___drawDataRectangle_string[] = "___drawDataRectangle";
static char ___getNumberArrayFromProperty_string[] = "___getNumberArrayFromProperty";
static char ___getVESAModeWithProperties_string[] = "___getVESAModeWithProperties";
static char ___moddi3_string[] = "___moddi3";
static char ___qdivrem_string[] = "___qdivrem";
static char ___setVESAGraphicsMode_string[] = "___setVESAGraphicsMode";
static char ___setVideoMode_string[] = "___setVideoMode";
static char ___udivdi3_string[] = "___udivdi3";
static char ___umoddi3_string[] = "___umoddi3";
static char __bp_string[] = "__bp";
static char __hi_malloc_string[] = "__hi_malloc";
static char __hi_strdup_string[] = "__hi_strdup";
static char __prot_to_real_string[] = "__prot_to_real";
static char __real_to_prot_string[] = "__real_to_prot";
static char __sp_string[] = "__sp";
static char __switch_stack_string[] = "__switch_stack";
static char _addBootArg_string[] = "_addBootArg";
static char _addConfigurationTable_string[] = "_addConfigurationTable";
static char _add_symbol_string[] = "_add_symbol";
static char _adler32_string[] = "_adler32";
static char _arc4_init_string[] = "_arc4_init";
static char _arc4rand_string[] = "_arc4rand";
static char _arc4random_string[] = "_arc4random";
static char _archCpuType_string[] = "_archCpuType";
static char _ascii_hex_to_int_string[] = "_ascii_hex_to_int";
static char _atoi_string[] = "_atoi";
static char _b_lseek_string[] = "_b_lseek";
static char _bcopy_string[] = "_bcopy";
static char _bcopy16_string[] = "_bcopy16";
static char _bcopy_no_overwrite_string[] = "_bcopy_no_overwrite";
static char _bgetc_string[] = "_bgetc";
static char _bind_location_string[] = "_bind_location";
static char _bind_macho_string[] = "_bind_macho";
static char _bios_string[] = "_bios";
static char _biosDevIsCDROM_string[] = "_biosDevIsCDROM";
static char _biosread_string[] = "_biosread";
static char _boot_string[] = "_boot";
static char _bootArgs_string[] = "_bootArgs";
static char _bootArgs107_string[] = "_bootArgs107";
static char _bootArgs108_string[] = "_bootArgs108";
static char _bootArgsLegacy_string[] = "_bootArgsLegacy";
static char _bootInfo_string[] = "_bootInfo";
static char _bsearch_string[] = "_bsearch";
static char _build_pci_dt_string[] = "_build_pci_dt";
static char _bzero_string[] = "_bzero";
static char _chainLoad_string[] = "_chainLoad";
static char _chainbootdev_string[] = "_chainbootdev";
static char _chainbootflag_string[] = "_chainbootflag";
static char _checksum8_string[] = "_checksum8";
static char _clearBootArgs_string[] = "_clearBootArgs";
static char _clearScreenRows_string[] = "_clearScreenRows";
static char _close_string[] = "_close";
static char _closedir_string[] = "_closedir";
static char _common_boot_string[] = "_common_boot";
static char _continue_at_low_address_string[] = "_continue_at_low_address";
static char _convertHexStr2Binary_string[] = "_convertHexStr2Binary";
static char _copyArgument_string[] = "_copyArgument";
static char _copyMultibootInfo_string[] = "_copyMultibootInfo";
static char _crc32_string[] = "_crc32";
static char _cursor_string[] = "_cursor";
static char _decompress_lzss_string[] = "_decompress_lzss";
static char _delay_string[] = "_delay";
static char _determine_safe_hi_addr_string[] = "_determine_safe_hi_addr";
static char _devices_number_string[] = "_devices_number";
static char _devprop_add_device_string[] = "_devprop_add_device";
static char _devprop_add_value_string[] = "_devprop_add_value";
static char _devprop_create_string_string[] = "_devprop_create_string";
static char _devprop_free_string_string[] = "_devprop_free_string";
static char _devprop_generate_string_string[] = "_devprop_generate_string";
static char _diskFreeMap_string[] = "_diskFreeMap";
static char _diskIsCDROM_string[] = "_diskIsCDROM";
static char _diskRead_string[] = "_diskRead";
static char _diskResetBootVolumes_string[] = "_diskResetBootVolumes";
static char _diskScanBootVolumes_string[] = "_diskScanBootVolumes";
static char _diskSeek_string[] = "_diskSeek";
static char _dump_pci_dt_string[] = "_dump_pci_dt";
static char _ebiosEjectMedia_string[] = "_ebiosEjectMedia";
static char _ebiosread_string[] = "_ebiosread";
static char _ebioswrite_string[] = "_ebioswrite";
static char _efi_guid_compare_string[] = "_efi_guid_compare";
static char _efi_guid_is_null_string[] = "_efi_guid_is_null";
static char _efi_guid_unparse_upper_string[] = "_efi_guid_unparse_upper";
static char _efi_inject_get_devprop_string_string[] = "_efi_inject_get_devprop_string";
static char _enableA20_string[] = "_enableA20";
static char _enable_pci_devs_string[] = "_enable_pci_devs";
static char _error_string[] = "_error";
static char _execute_hook_string[] = "_execute_hook";
static char _file_size_string[] = "_file_size";
static char _finalizeBootStruct_string[] = "_finalizeBootStruct";
static char _finalizeEFIConfigTable_string[] = "_finalizeEFIConfigTable";
static char _free_string[] = "_free";
static char _freeFilteredBVChain_string[] = "_freeFilteredBVChain";
static char _free_platform_env_string[] = "_free_platform_env";
static char _gAppleBootPictRLE_string[] = "_gAppleBootPictRLE";
static char _gBIOSBootVolume_string[] = "_gBIOSBootVolume";
static char _gBinaryAddress_string[] = "_gBinaryAddress";
static char _gBootFileType_string[] = "_gBootFileType";
static char _gBootVolume_string[] = "_gBootVolume";
static char _gCompareTable_string[] = "_gCompareTable";
static char _gCompareTableCompressed_string[] = "_gCompareTableCompressed";
static char _gEfiAcpi20TableGuid_string[] = "_gEfiAcpi20TableGuid";
static char _gEfiAcpiTableGuid_string[] = "_gEfiAcpiTableGuid";
static char _gEfiConfigurationTable32_string[] = "_gEfiConfigurationTable32";
static char _gEfiConfigurationTable64_string[] = "_gEfiConfigurationTable64";
static char _gEfiConfigurationTableNode_string[] = "_gEfiConfigurationTableNode";
static char _gEfiMpsTableGuid_string[] = "_gEfiMpsTableGuid";
static char _gEfiSmbiosTableGuid_string[] = "_gEfiSmbiosTableGuid";
static char _gErrors_string[] = "_gErrors";
static char _gFSLoadAddress_string[] = "_gFSLoadAddress";
static char _gHaveKernelCache_string[] = "_gHaveKernelCache";
static char _gLowerCaseTable_string[] = "_gLowerCaseTable";
static char _gLowerCaseTableCompressed_string[] = "_gLowerCaseTableCompressed";
static char _gMemoryMapNode_string[] = "_gMemoryMapNode";
static char _gNumTables32_string[] = "_gNumTables32";
static char _gNumTables64_string[] = "_gNumTables64";
static char _gST32_string[] = "_gST32";
static char _gST64_string[] = "_gST64";
static char _gVerboseMode_string[] = "_gVerboseMode";
static char _getBVChainForBIOSDev_string[] = "_getBVChainForBIOSDev";
static char _getBoolForKey_string[] = "_getBoolForKey";
static char _getBootArgs_string[] = "_getBootArgs";
static char _getBootOptions_string[] = "_getBootOptions";
static char _getBootVolumeDescription_string[] = "_getBootVolumeDescription";
static char _getBootVolumeRef_string[] = "_getBootVolumeRef";
static char _getBvChain_string[] = "_getBvChain";
static char _getColorForKey_string[] = "_getColorForKey";
static char _getConsoleCursor_string[] = "_getConsoleCursor";
static char _getConsoleMsg_string[] = "_getConsoleMsg";
static char _getConventionalMemorySize_string[] = "_getConventionalMemorySize";
static char _getCursorPositionAndType_string[] = "_getCursorPositionAndType";
static char _getDeviceDescription_string[] = "_getDeviceDescription";
static char _getDimensionForKey_string[] = "_getDimensionForKey";
static char _getEDID_string[] = "_getEDID";
static char _getExtendedMemorySize_string[] = "_getExtendedMemorySize";
static char _getIntForKey_string[] = "_getIntForKey";
static char _getKernelCachePath_string[] = "_getKernelCachePath";
static char _getMemoryInfoString_string[] = "_getMemoryInfoString";
static char _getMemoryMap_string[] = "_getMemoryMap";
static char _getNextArg_string[] = "_getNextArg";
static char _getPciRootUID_string[] = "_getPciRootUID";
static char _getPlatformName_string[] = "_getPlatformName";
static char _getSmbiosOriginal_string[] = "_getSmbiosOriginal";
static char _getStringForKey_string[] = "_getStringForKey";
static char _getStringFromUUID_string[] = "_getStringFromUUID";
static char _getUUIDFromString_string[] = "_getUUIDFromString";
static char _getVBEInfo_string[] = "_getVBEInfo";
static char _getVBEModeInfo_string[] = "_getVBEModeInfo";
static char _getValueForBootKey_string[] = "_getValueForBootKey";
static char _getValueForConfigTableKey_string[] = "_getValueForConfigTableKey";
static char _getValueForKey_string[] = "_getValueForKey";
static char _getVideoMode_string[] = "_getVideoMode";
static char _getVolumeLabelAlias_string[] = "_getVolumeLabelAlias";
static char _get_callback_string[] = "_get_callback";
static char _get_drive_info_string[] = "_get_drive_info";
static char _get_env_string[] = "_get_env";
static char _get_env_ptr_string[] = "_get_env_ptr";
static char _get_env_var_string[] = "_get_env_var";
static char _get_num_tables_string[] = "_get_num_tables";
static char _get_num_tables64_string[] = "_get_num_tables64";
static char _get_pci_dev_path_string[] = "_get_pci_dev_path";
static char _getc_string[] = "_getc";
static char _getchar_string[] = "_getchar";
static char _gfps_ptr_string[] = "_gfps_ptr";
static char _h_buf_error_string[] = "_h_buf_error";
static char _halt_string[] = "_halt";
static char _handle_symtable_string[] = "_handle_symtable";
static char _hi_multiboot_string[] = "_hi_multiboot";
static char _imps_apic_cpu_map_string[] = "_imps_apic_cpu_map";
static char _imps_cpu_apic_map_string[] = "_imps_cpu_apic_map";
static char _imps_enabled_string[] = "_imps_enabled";
static char _imps_lapic_addr_string[] = "_imps_lapic_addr";
static char _imps_num_cpus_string[] = "_imps_num_cpus";
static char _imps_probe_string[] = "_imps_probe";
static char _imps_release_cpus_string[] = "_imps_release_cpus";
static char _initBooterLog_string[] = "_initBooterLog";
static char _initKernBootStruct_string[] = "_initKernBootStruct";
static char _init_ut_fnc_string[] = "_init_ut_fnc";
static char _initialize_runtime_string[] = "_initialize_runtime";
static char _is_no_emulation_string[] = "_is_no_emulation";
static char _itoa_string[] = "_itoa";
static char _jump_to_chainbooter_string[] = "_jump_to_chainbooter";
static char _loadBooterConfig_string[] = "_loadBooterConfig";
static char _loadConfigFile_string[] = "_loadConfigFile";
static char _loadOverrideConfig_string[] = "_loadOverrideConfig";
static char _loadSystemConfig_string[] = "_loadSystemConfig";
static char _longjmp_string[] = "_longjmp";
static char _lookup_all_symbols_string[] = "_lookup_all_symbols";
static char _lookup_symbol_string[] = "_lookup_symbol";
static char _lspci_string[] = "_lspci";
static char _malloc_string[] = "_malloc";
static char _malloc_init_string[] = "_malloc_init";
static char _matchVolumeToString_string[] = "_matchVolumeToString";
static char _memcmp_string[] = "_memcmp";
static char _memcpy_string[] = "_memcpy";
static char _memmove_string[] = "_memmove";
static char _memset_string[] = "_memset";
static char _moduleCallbacks_string[] = "_moduleCallbacks";
static char _moduleSymbols_string[] = "_moduleSymbols";
static char _msgbuf_string[] = "_msgbuf";
static char _msglog_string[] = "_msglog";
static char _multiboot_to_boot_string[] = "_multiboot_to_boot";
static char _newEmptyStringWithLength_string[] = "_newEmptyStringWithLength";
static char _newFilteredBVChain_string[] = "_newFilteredBVChain";
static char _newGPTBVRef_string[] = "_newGPTBVRef";
static char _newString_string[] = "_newString";
static char _newStringForKey_string[] = "_newStringForKey";
static char _newStringWithFormat_string[] = "_newStringWithFormat";
static char _newStringWithLength_string[] = "_newStringWithLength";
static char _open_string[] = "_open";
static char _open_bvdev_string[] = "_open_bvdev";
static char _opendir_string[] = "_opendir";
static char _parse_mach_string[] = "_parse_mach";
static char _pause_string[] = "_pause";
static char _pci_config_read16_string[] = "_pci_config_read16";
static char _pci_config_read32_string[] = "_pci_config_read32";
static char _pci_config_read8_string[] = "_pci_config_read8";
static char _pci_config_write16_string[] = "_pci_config_write16";
static char _pci_config_write32_string[] = "_pci_config_write32";
static char _pci_config_write8_string[] = "_pci_config_write8";
static char _platform_env_string[] = "_platform_env";
static char _prf_string[] = "_prf";
static char _printMemoryInfo_string[] = "_printMemoryInfo";
static char _printf_string[] = "_printf";
static char _processBootOptions_string[] = "_processBootOptions";
static char _promptForRescanOption_string[] = "_promptForRescanOption";
static char _ptol_string[] = "_ptol";
static char _putc_string[] = "_putc";
static char _putca_string[] = "_putca";
static char _putchar_string[] = "_putchar";
static char _rand_string[] = "_rand";
static char _random_string[] = "_random";
static char _random_free_string[] = "_random_free";
static char _random_init_string[] = "_random_init";
static char _re_set_env_string[] = "_re_set_env";
static char _re_set_env_copy_string[] = "_re_set_env_copy";
static char _read_string[] = "_read";
static char _readBootSector_string[] = "_readBootSector";
static char _readDefaultPlatformName_string[] = "_readDefaultPlatformName";
static char _readKeyboardShiftFlags_string[] = "_readKeyboardShiftFlags";
static char _readKeyboardStatus_string[] = "_readKeyboardStatus";
static char _readSMBIOS_string[] = "_readSMBIOS";
static char _readdir_string[] = "_readdir";
static char _realloc_string[] = "_realloc";
static char _rebase_location_string[] = "_rebase_location";
static char _rebase_macho_string[] = "_rebase_macho";
static char _ref_strings_string[] = "_ref_strings";
static char _register_hook_callback_string[] = "_register_hook_callback";
static char _replace_function_string[] = "_replace_function";
static char _replace_function_any_string[] = "_replace_function_any";
static char _replace_system_function_string[] = "_replace_system_function";
static char _rescanBIOSDevice_string[] = "_rescanBIOSDevice";
static char _reserveKern107BootStruct_string[] = "_reserveKern107BootStruct";
static char _reserveKern108BootStruct_string[] = "_reserveKern108BootStruct";
static char _reserveKernLegacyBootStruct_string[] = "_reserveKernLegacyBootStruct";
static char _root_pci_dev_string[] = "_root_pci_dev";
static char _safe_set_env_string[] = "_safe_set_env";
static char _safe_set_env_copy_string[] = "_safe_set_env_copy";
static char _scanBootVolumes_string[] = "_scanBootVolumes";
static char _scanDisks_string[] = "_scanDisks";
static char _scan_cpu_string[] = "_scan_cpu";
static char _scan_pci_bus_string[] = "_scan_pci_bus";
static char _scan_platform_string[] = "_scan_platform";
static char _scollPage_string[] = "_scollPage";
static char _selectBootVolume_string[] = "_selectBootVolume";
static char _setActiveDisplayPage_string[] = "_setActiveDisplayPage";
static char _setBootArgsVideoMode_string[] = "_setBootArgsVideoMode";
static char _setBootArgsVideoStruct_string[] = "_setBootArgsVideoStruct";
static char _setBootGlobals_string[] = "_setBootGlobals";
static char _setConsoleCursor_string[] = "_setConsoleCursor";
static char _setConsoleMsg_string[] = "_setConsoleMsg";
static char _setCursorPosition_string[] = "_setCursorPosition";
static char _setCursorType_string[] = "_setCursorType";
static char _setRootVolume_string[] = "_setRootVolume";
static char _setVBEMode_string[] = "_setVBEMode";
static char _setVBEPalette_string[] = "_setVBEPalette";
static char _set_env_string[] = "_set_env";
static char _set_env_copy_string[] = "_set_env_copy";
static char _setjmp_string[] = "_setjmp";
static char _setupBooterLog_string[] = "_setupBooterLog";
static char _setupDeviceProperties_string[] = "_setupDeviceProperties";
static char _setupFakeEfi_string[] = "_setupFakeEfi";
static char _setupSmbiosConfigFile_string[] = "_setupSmbiosConfigFile";
static char _setup_acpi_string[] = "_setup_acpi";
static char _setup_pci_devs_string[] = "_setup_pci_devs";
static char _showHelp_string[] = "_showHelp";
static char _showMessage_string[] = "_showMessage";
static char _showTextBuffer_string[] = "_showTextBuffer";
static char _showTextFile_string[] = "_showTextFile";
static char _sleep_string[] = "_sleep";
static char _slvprintf_string[] = "_slvprintf";
static char _sprintf_string[] = "_sprintf";
static char _sputc_string[] = "_sputc";
static char _srand_string[] = "_srand";
static char _startprog_string[] = "_startprog";
static char _stop_string[] = "_stop";
static char _strbreak_string[] = "_strbreak";
static char _strcat_string[] = "_strcat";
static char _strchr_string[] = "_strchr";
static char _strcmp_string[] = "_strcmp";
static char _strcpy_string[] = "_strcpy";
static char _strdup_string[] = "_strdup";
static char _string_string[] = "_string";
static char _stringdata_string[] = "_stringdata";
static char _stringlength_string[] = "_stringlength";
static char _strlcat_string[] = "_strlcat";
static char _strlcpy_string[] = "_strlcpy";
static char _strlen_string[] = "_strlen";
static char _strncat_string[] = "_strncat";
static char _strncmp_string[] = "_strncmp";
static char _strncpy_string[] = "_strncpy";
static char _strnlen_string[] = "_strnlen";
static char _strstr_string[] = "_strstr";
static char _strtol_string[] = "_strtol";
static char _strtoul_string[] = "_strtoul";
static char _strtouq_string[] = "_strtouq";
static char _testBiosread_string[] = "_testBiosread";
static char _testFAT32EFIBootSector_string[] = "_testFAT32EFIBootSector";
static char _textAddress_string[] = "_textAddress";
static char _textSection_string[] = "_textSection";
static char _time18_string[] = "_time18";
static char _unset_env_string[] = "_unset_env";
static char _usefixedrandom_string[] = "_usefixedrandom";
static char _utf_decodestr_string[] = "_utf_decodestr";
static char _utf_encodestr_string[] = "_utf_encodestr";
static char _verbose_string[] = "_verbose";
static char _video_mode_string[] = "_video_mode";
static char _waitThenReload_string[] = "_waitThenReload";
static char _write_string[] = "_write";
static char _zalloced_size_string[] = "_zalloced_size";
static char _zout_string[] = "_zout";
static char boot2_string[] = "boot2";
symbol_t symbolList[] = {
	{.symbol = _AllocateKernelMemory_string, .addr = 0x0002d529},
	{.symbol = _AllocateMemoryRange_string, .addr = 0x0002d5a1},
	{.symbol = _BeFSGetDescription_string, .addr = 0x00030124},
	{.symbol = _BeFSProbe_string, .addr = 0x0003010b},
	{.symbol = _BinaryUnicodeCompare_string, .addr = 0x00034a1e},
	{.symbol = _CacheInit_string, .addr = 0x000302ff},
	{.symbol = _CacheRead_string, .addr = 0x000301bd},
	{.symbol = _CacheReset_string, .addr = 0x000301ae},
	{.symbol = _CreateUUIDString_string, .addr = 0x00024b4d},
	{.symbol = _DT__AddChild_string, .addr = 0x0003359b},
	{.symbol = _DT__AddProperty_string, .addr = 0x0003335b},
	{.symbol = _DT__Finalize_string, .addr = 0x00033512},
	{.symbol = _DT__FindNode_string, .addr = 0x000336b8},
	{.symbol = _DT__FlattenDeviceTree_string, .addr = 0x000334a2},
	{.symbol = _DT__FreeNode_string, .addr = 0x00033312},
	{.symbol = _DT__FreeProperty_string, .addr = 0x000332fc},
	{.symbol = _DT__GetName_string, .addr = 0x00033328},
	{.symbol = _DT__Initialize_string, .addr = 0x0003365a},
	{.symbol = _DecodeKernel_string, .addr = 0x00022997},
	{.symbol = _DecodeMachO_string, .addr = 0x00027bae},
	{.symbol = _EX2GetDescription_string, .addr = 0x000303d4},
	{.symbol = _EX2Probe_string, .addr = 0x000303bb},
	{.symbol = _EXFATGetDescription_string, .addr = 0x00034ea9},
	{.symbol = _EXFATGetUUID_string, .addr = 0x00034e36},
	{.symbol = _EXFATProbe_string, .addr = 0x00034e13},
	{.symbol = _FastRelString_string, .addr = 0x00034b38},
	{.symbol = _FastUnicodeCompare_string, .addr = 0x00034bb8},
	{.symbol = _FileLoadBundles_string, .addr = 0x00026cbb},
	{.symbol = _FileLoadDrivers_string, .addr = 0x0002257c},
	{.symbol = _FindAcpiTables_string, .addr = 0x00033920},
	{.symbol = _FreeBSDGetDescription_string, .addr = 0x00030481},
	{.symbol = _FreeBSDProbe_string, .addr = 0x00030468},
	{.symbol = _GPT_BASICDATA2_GUID_string, .addr = 0x00039bd8},
	{.symbol = _GPT_BASICDATA_GUID_string, .addr = 0x00039bc8},
	{.symbol = _GPT_BOOT_GUID_string, .addr = 0x00039ba8},
	{.symbol = _GPT_EFISYS_GUID_string, .addr = 0x00039bb8},
	{.symbol = _GPT_HFS_GUID_string, .addr = 0x00039b98},
	{.symbol = _Gdt_string, .addr = 0x000204bc},
	{.symbol = _Gdtr_string, .addr = 0x000204f4},
	{.symbol = _GetBundleDict_string, .addr = 0x00026472},
	{.symbol = _GetBundlePath_string, .addr = 0x00026442},
	{.symbol = _GetBundlePersonality_string, .addr = 0x0002645a},
	{.symbol = _GetChecksum_string, .addr = 0x00033804},
	{.symbol = _GetDirEntry_string, .addr = 0x00024f77},
	{.symbol = _GetFileInfo_string, .addr = 0x00024fb2},
	{.symbol = _GetgPlatformName_string, .addr = 0x0002539f},
	{.symbol = _GetgRootDevice_string, .addr = 0x000253b3},
	{.symbol = _Getgboardproduct_string, .addr = 0x000253a9},
	{.symbol = _HFSFree_string, .addr = 0x000306e2},
	{.symbol = _HFSGetDescription_string, .addr = 0x000319de},
	{.symbol = _HFSGetDirEntry_string, .addr = 0x000316f8},
	{.symbol = _HFSGetFileBlock_string, .addr = 0x00031a8e},
	{.symbol = _HFSGetUUID_string, .addr = 0x000316c3},
	{.symbol = _HFSInitPartition_string, .addr = 0x0003137b},
	{.symbol = _HFSLoadFile_string, .addr = 0x00031990},
	{.symbol = _HFSLoadVerbose_string, .addr = 0x0003ea68},
	{.symbol = _HFSProbe_string, .addr = 0x000319ae},
	{.symbol = _HFSReadFile_string, .addr = 0x000317e7},
	{.symbol = _Idtr_prot_string, .addr = 0x00020504},
	{.symbol = _Idtr_real_string, .addr = 0x000204fc},
	{.symbol = _InitBootPrompt_string, .addr = 0x00022b05},
	{.symbol = _InitBundleSupport_string, .addr = 0x00026869},
	{.symbol = _InitDriverSupport_string, .addr = 0x000226e4},
	{.symbol = _LoadBundlePList_string, .addr = 0x00026951},
	{.symbol = _LoadBundles_string, .addr = 0x00027653},
	{.symbol = _LoadDriverMKext_string, .addr = 0x000220fd},
	{.symbol = _LoadDriverPList_string, .addr = 0x000221bf},
	{.symbol = _LoadDrivers_string, .addr = 0x000227e5},
	{.symbol = _LoadFile_string, .addr = 0x00025197},
	{.symbol = _LoadMatchedBundles_string, .addr = 0x000274d3},
	{.symbol = _LoadMatchedModules_string, .addr = 0x00021f8b},
	{.symbol = _LoadThinFatFile_string, .addr = 0x0002506e},
	{.symbol = _LoadVolumeFile_string, .addr = 0x0002481c},
	{.symbol = _MD5Final_string, .addr = 0x0002f391},
	{.symbol = _MD5Init_string, .addr = 0x0002ebd8},
	{.symbol = _MD5Update_string, .addr = 0x0002f2ad},
	{.symbol = _MSDOSFree_string, .addr = 0x00031b6c},
	{.symbol = _MSDOSGetDescription_string, .addr = 0x00032d29},
	{.symbol = _MSDOSGetDirEntry_string, .addr = 0x000328ee},
	{.symbol = _MSDOSGetFileBlock_string, .addr = 0x00032bba},
	{.symbol = _MSDOSGetUUID_string, .addr = 0x00032582},
	{.symbol = _MSDOSInitPartition_string, .addr = 0x000323b3},
	{.symbol = _MSDOSLoadFile_string, .addr = 0x00032831},
	{.symbol = _MSDOSProbe_string, .addr = 0x0003284f},
	{.symbol = _MSDOSReadFile_string, .addr = 0x00032605},
	{.symbol = _MatchBundlesLibraries_string, .addr = 0x0002653d},
	{.symbol = _MatchLibraries_string, .addr = 0x00021ef1},
	{.symbol = _NTFSGetDescription_string, .addr = 0x00032f78},
	{.symbol = _NTFSGetUUID_string, .addr = 0x00032ee4},
	{.symbol = _NTFSProbe_string, .addr = 0x00032eb3},
	{.symbol = _OpenBSDGetDescription_string, .addr = 0x00033268},
	{.symbol = _OpenBSDProbe_string, .addr = 0x0003324f},
	{.symbol = _ParseXMLFile_string, .addr = 0x0002b8f4},
	{.symbol = _ReadFileAtOffset_string, .addr = 0x00025159},
	{.symbol = _Register_Acpi_Efi_string, .addr = 0x0002b79a},
	{.symbol = _Register_Smbios_Efi_string, .addr = 0x0002a85f},
	{.symbol = _SetgPlatformName_string, .addr = 0x00025392},
	{.symbol = _SetgRootDevice_string, .addr = 0x00025378},
	{.symbol = _Setgboardproduct_string, .addr = 0x00025385},
	{.symbol = _ThinFatFile_string, .addr = 0x00027eb2},
	{.symbol = _XMLCastArray_string, .addr = 0x0002d79e},
	{.symbol = _XMLCastBoolean_string, .addr = 0x0002d80b},
	{.symbol = _XMLCastDict_string, .addr = 0x0002d7b7},
	{.symbol = _XMLCastInteger_string, .addr = 0x0002d821},
	{.symbol = _XMLCastString_string, .addr = 0x0002d7d0},
	{.symbol = _XMLCastStringOffset_string, .addr = 0x0002d7ed},
	{.symbol = _XMLDecode_string, .addr = 0x0002dc64},
	{.symbol = _XMLFreeTag_string, .addr = 0x0002d846},
	{.symbol = _XMLGetElement_string, .addr = 0x0002d6a4},
	{.symbol = _XMLGetProperty_string, .addr = 0x0002d949},
	{.symbol = _XMLIsType_string, .addr = 0x0002d783},
	{.symbol = _XMLParseFile_string, .addr = 0x0002e643},
	{.symbol = _XMLParseNextTag_string, .addr = 0x0002def5},
	{.symbol = _XMLTagCount_string, .addr = 0x0002d60a},
	{.symbol = __DATA__bss__begin_string, .addr = 0x0003ef90},
	{.symbol = __DATA__bss__end_string, .addr = 0x00040ae0},
	{.symbol = __DATA__common__begin_string, .addr = 0x00040ae0},
	{.symbol = __DATA__common__end_string, .addr = 0x00040f20},
	{.symbol = ___bzero_string, .addr = 0x00035548},
	{.symbol = ___convertImage_string, .addr = 0x00021dd2},
	{.symbol = ___decodeRLE_string, .addr = 0x000216f7},
	{.symbol = ___divdi3_string, .addr = 0x0003634f},
	{.symbol = ___drawColorRectangle_string, .addr = 0x00021c9d},
	{.symbol = ___drawDataRectangle_string, .addr = 0x0002165d},
	{.symbol = ___getNumberArrayFromProperty_string, .addr = 0x000215f0},
	{.symbol = ___getVESAModeWithProperties_string, .addr = 0x00021744},
	{.symbol = ___moddi3_string, .addr = 0x000363bd},
	{.symbol = ___qdivrem_string, .addr = 0x0003642e},
	{.symbol = ___setVESAGraphicsMode_string, .addr = 0x000219a0},
	{.symbol = ___setVideoMode_string, .addr = 0x00021af9},
	{.symbol = ___udivdi3_string, .addr = 0x0003601d},
	{.symbol = ___umoddi3_string, .addr = 0x00036035},
	{.symbol = __bp_string, .addr = 0x000203aa},
	{.symbol = __hi_malloc_string, .addr = 0x00024486},
	{.symbol = __hi_strdup_string, .addr = 0x00024497},
	{.symbol = __prot_to_real_string, .addr = 0x0002032d},
	{.symbol = __real_to_prot_string, .addr = 0x000202df},
	{.symbol = __sp_string, .addr = 0x000203a7},
	{.symbol = __switch_stack_string, .addr = 0x000203ad},
	{.symbol = _addBootArg_string, .addr = 0x00023680},
	{.symbol = _addConfigurationTable_string, .addr = 0x0002aaab},
	{.symbol = _add_symbol_string, .addr = 0x0002681c},
	{.symbol = _adler32_string, .addr = 0x00035254},
	{.symbol = _arc4_init_string, .addr = 0x0002790b},
	{.symbol = _arc4rand_string, .addr = 0x00027ae4},
	{.symbol = _arc4random_string, .addr = 0x00027b96},
	{.symbol = _archCpuType_string, .addr = 0x0003e99c},
	{.symbol = _ascii_hex_to_int_string, .addr = 0x00033b36},
	{.symbol = _atoi_string, .addr = 0x0003511e},
	{.symbol = _b_lseek_string, .addr = 0x00024cef},
	{.symbol = _bcopy_string, .addr = 0x00035aa3},
	{.symbol = _bcopy16_string, .addr = 0x00035a83},
	{.symbol = _bcopy_no_overwrite_string, .addr = 0x00035a74},
	{.symbol = _bgetc_string, .addr = 0x0002d2bb},
	{.symbol = _bind_location_string, .addr = 0x000263db},
	{.symbol = _bind_macho_string, .addr = 0x00026f41},
	{.symbol = _bios_string, .addr = 0x000203dd},
	{.symbol = _biosDevIsCDROM_string, .addr = 0x0002806a},
	{.symbol = _biosread_string, .addr = 0x0002cd6c},
	{.symbol = _boot_string, .addr = 0x000215d5},
	{.symbol = _bootArgs_string, .addr = 0x0003e9b0},
	{.symbol = _bootArgs107_string, .addr = 0x0003e9b8},
	{.symbol = _bootArgs108_string, .addr = 0x0003e9bc},
	{.symbol = _bootArgsLegacy_string, .addr = 0x0003e9b4},
	{.symbol = _bootInfo_string, .addr = 0x0003e9c0},
	{.symbol = _bsearch_string, .addr = 0x00035320},
	{.symbol = _build_pci_dt_string, .addr = 0x0002eb59},
	{.symbol = _bzero_string, .addr = 0x00035548},
	{.symbol = _chainLoad_string, .addr = 0x00024797},
	{.symbol = _chainbootdev_string, .addr = 0x000204b0},
	{.symbol = _chainbootflag_string, .addr = 0x000204b1},
	{.symbol = _checksum8_string, .addr = 0x0003523a},
	{.symbol = _clearBootArgs_string, .addr = 0x000236d8},
	{.symbol = _clearScreenRows_string, .addr = 0x0002ca30},
	{.symbol = _close_string, .addr = 0x00024832},
	{.symbol = _closedir_string, .addr = 0x00024a36},
	{.symbol = _common_boot_string, .addr = 0x00020952},
	{.symbol = _continue_at_low_address_string, .addr = 0x000202b4},
	{.symbol = _convertHexStr2Binary_string, .addr = 0x00033b91},
	{.symbol = _copyArgument_string, .addr = 0x00022f22},
	{.symbol = _copyMultibootInfo_string, .addr = 0x0002451d},
	{.symbol = _crc32_string, .addr = 0x00036058},
	{.symbol = _cursor_string, .addr = 0x0003ea20},
	{.symbol = _decompress_lzss_string, .addr = 0x0002e6bf},
	{.symbol = _delay_string, .addr = 0x0002c978},
	{.symbol = _determine_safe_hi_addr_string, .addr = 0x000243f7},
	{.symbol = _devices_number_string, .addr = 0x0003eb88},
	{.symbol = _devprop_add_device_string, .addr = 0x000345dc},
	{.symbol = _devprop_add_value_string, .addr = 0x000344a2},
	{.symbol = _devprop_create_string_string, .addr = 0x0003445e},
	{.symbol = _devprop_free_string_string, .addr = 0x00034225},
	{.symbol = _devprop_generate_string_string, .addr = 0x00034298},
	{.symbol = _diskFreeMap_string, .addr = 0x000280e9},
	{.symbol = _diskIsCDROM_string, .addr = 0x0002808e},
	{.symbol = _diskRead_string, .addr = 0x00028bb1},
	{.symbol = _diskResetBootVolumes_string, .addr = 0x0002866d},
	{.symbol = _diskScanBootVolumes_string, .addr = 0x00028ecb},
	{.symbol = _diskSeek_string, .addr = 0x00027f6c},
	{.symbol = _dump_pci_dt_string, .addr = 0x0002e98f},
	{.symbol = _ebiosEjectMedia_string, .addr = 0x0002cafb},
	{.symbol = _ebiosread_string, .addr = 0x0002cc99},
	{.symbol = _ebioswrite_string, .addr = 0x0002cba8},
	{.symbol = _efi_guid_compare_string, .addr = 0x000360b1},
	{.symbol = _efi_guid_is_null_string, .addr = 0x00036089},
	{.symbol = _efi_guid_unparse_upper_string, .addr = 0x00036102},
	{.symbol = _efi_inject_get_devprop_string_string, .addr = 0x000348b1},
	{.symbol = _enableA20_string, .addr = 0x0002a7f5},
	{.symbol = _enable_pci_devs_string, .addr = 0x0002e86c},
	{.symbol = _error_string, .addr = 0x0002c483},
	{.symbol = _execute_hook_string, .addr = 0x00027744},
	{.symbol = _file_size_string, .addr = 0x0002485c},
	{.symbol = _finalizeBootStruct_string, .addr = 0x00029b76},
	{.symbol = _finalizeEFIConfigTable_string, .addr = 0x0002a8bf},
	{.symbol = _free_string, .addr = 0x000356ce},
	{.symbol = _freeFilteredBVChain_string, .addr = 0x000280b5},
	{.symbol = _free_platform_env_string, .addr = 0x000253cb},
	{.symbol = _gAppleBootPictRLE_string, .addr = 0x000392d0},
	{.symbol = _gBIOSBootVolume_string, .addr = 0x0003e93c},
	{.symbol = _gBinaryAddress_string, .addr = 0x00040b38},
	{.symbol = _gBootFileType_string, .addr = 0x00040ae0},
	{.symbol = _gBootVolume_string, .addr = 0x00040ae4},
	{.symbol = _gCompareTable_string, .addr = 0x00040f10},
	{.symbol = _gCompareTableCompressed_string, .addr = 0x0003ee88},
	{.symbol = _gEfiAcpi20TableGuid_string, .addr = 0x0003e9ec},
	{.symbol = _gEfiAcpiTableGuid_string, .addr = 0x0003e9dc},
	{.symbol = _gEfiConfigurationTable32_string, .addr = 0x00040b40},
	{.symbol = _gEfiConfigurationTable64_string, .addr = 0x00040c10},
	{.symbol = _gEfiConfigurationTableNode_string, .addr = 0x0003e9d8},
	{.symbol = _gEfiMpsTableGuid_string, .addr = 0x0003e9fc},
	{.symbol = _gEfiSmbiosTableGuid_string, .addr = 0x00039d18},
	{.symbol = _gErrors_string, .addr = 0x00040ae8},
	{.symbol = _gFSLoadAddress_string, .addr = 0x0003e938},
	{.symbol = _gHaveKernelCache_string, .addr = 0x00040ae9},
	{.symbol = _gLowerCaseTable_string, .addr = 0x00040f14},
	{.symbol = _gLowerCaseTableCompressed_string, .addr = 0x0003ebb0},
	{.symbol = _gMemoryMapNode_string, .addr = 0x0003e9c4},
	{.symbol = _gNumTables32_string, .addr = 0x0003ea0c},
	{.symbol = _gNumTables64_string, .addr = 0x0003ea10},
	{.symbol = _gST32_string, .addr = 0x0003e9d0},
	{.symbol = _gST64_string, .addr = 0x0003e9d4},
	{.symbol = _gVerboseMode_string, .addr = 0x00040aea},
	{.symbol = _getBVChainForBIOSDev_string, .addr = 0x00027f4d},
	{.symbol = _getBoolForKey_string, .addr = 0x0002c1b0},
	{.symbol = _getBootArgs_string, .addr = 0x00029b6c},
	{.symbol = _getBootOptions_string, .addr = 0x0002379a},
	{.symbol = _getBootVolumeDescription_string, .addr = 0x0002830e},
	{.symbol = _getBootVolumeRef_string, .addr = 0x00024df2},
	{.symbol = _getBvChain_string, .addr = 0x00020540},
	{.symbol = _getColorForKey_string, .addr = 0x0002bee6},
	{.symbol = _getConsoleCursor_string, .addr = 0x0002c3ff},
	{.symbol = _getConsoleMsg_string, .addr = 0x0002c3f5},
	{.symbol = _getConventionalMemorySize_string, .addr = 0x0002ce45},
	{.symbol = _getCursorPositionAndType_string, .addr = 0x0002ca53},
	{.symbol = _getDeviceDescription_string, .addr = 0x000248c4},
	{.symbol = _getDimensionForKey_string, .addr = 0x0002bf88},
	{.symbol = _getEDID_string, .addr = 0x0002d4c1},
	{.symbol = _getExtendedMemorySize_string, .addr = 0x0002ce65},
	{.symbol = _getIntForKey_string, .addr = 0x0002c0c6},
	{.symbol = _getKernelCachePath_string, .addr = 0x000205d3},
	{.symbol = _getMemoryInfoString_string, .addr = 0x00022e2c},
	{.symbol = _getMemoryMap_string, .addr = 0x0002d128},
	{.symbol = _getNextArg_string, .addr = 0x0002b841},
	{.symbol = _getPciRootUID_string, .addr = 0x0003494f},
	{.symbol = _getPlatformName_string, .addr = 0x0002a587},
	{.symbol = _getSmbiosOriginal_string, .addr = 0x0002c75d},
	{.symbol = _getStringForKey_string, .addr = 0x0002c256},
	{.symbol = _getStringFromUUID_string, .addr = 0x00033d44},
	{.symbol = _getUUIDFromString_string, .addr = 0x00033c71},
	{.symbol = _getVBEInfo_string, .addr = 0x0002d480},
	{.symbol = _getVBEModeInfo_string, .addr = 0x0002d436},
	{.symbol = _getValueForBootKey_string, .addr = 0x0002bc75},
	{.symbol = _getValueForConfigTableKey_string, .addr = 0x0002bd1c},
	{.symbol = _getValueForKey_string, .addr = 0x0002bdd1},
	{.symbol = _getVideoMode_string, .addr = 0x00029b16},
	{.symbol = _getVolumeLabelAlias_string, .addr = 0x00028225},
	{.symbol = _get_callback_string, .addr = 0x0002650f},
	{.symbol = _get_drive_info_string, .addr = 0x0002cfeb},
	{.symbol = _get_env_string, .addr = 0x000259bf},
	{.symbol = _get_env_ptr_string, .addr = 0x0002594d},
	{.symbol = _get_env_var_string, .addr = 0x00025982},
	{.symbol = _get_num_tables_string, .addr = 0x0003378a},
	{.symbol = _get_num_tables64_string, .addr = 0x0003379b},
	{.symbol = _get_pci_dev_path_string, .addr = 0x0002e8d0},
	{.symbol = _getc_string, .addr = 0x0002c639},
	{.symbol = _getchar_string, .addr = 0x0002c70f},
	{.symbol = _gfps_ptr_string, .addr = 0x00040d00},
	{.symbol = _h_buf_error_string, .addr = 0x00040af0},
	{.symbol = _halt_string, .addr = 0x00020383},
	{.symbol = _handle_symtable_string, .addr = 0x00026de6},
	{.symbol = _hi_multiboot_string, .addr = 0x00024653},
	{.symbol = _imps_apic_cpu_map_string, .addr = 0x00040d10},
	{.symbol = _imps_cpu_apic_map_string, .addr = 0x00040e10},
	{.symbol = _imps_enabled_string, .addr = 0x0003eaac},
	{.symbol = _imps_lapic_addr_string, .addr = 0x0003eab4},
	{.symbol = _imps_num_cpus_string, .addr = 0x0003eab0},
	{.symbol = _imps_probe_string, .addr = 0x00034152},
	{.symbol = _imps_release_cpus_string, .addr = 0x0003eaa8},
	{.symbol = _initBooterLog_string, .addr = 0x0002c6d2},
	{.symbol = _initKernBootStruct_string, .addr = 0x0002a408},
	{.symbol = _init_ut_fnc_string, .addr = 0x0002c758},
	{.symbol = _initialize_runtime_string, .addr = 0x00021593},
	{.symbol = _is_no_emulation_string, .addr = 0x0002cf6c},
	{.symbol = _itoa_string, .addr = 0x00035142},
	{.symbol = _jump_to_chainbooter_string, .addr = 0x000202ca},
	{.symbol = _loadBooterConfig_string, .addr = 0x0002bae4},
	{.symbol = _loadConfigFile_string, .addr = 0x0002bba5},
	{.symbol = _loadOverrideConfig_string, .addr = 0x0002ba34},
	{.symbol = _loadSystemConfig_string, .addr = 0x0002b97f},
	{.symbol = _longjmp_string, .addr = 0x00035fff},
	{.symbol = _lookup_all_symbols_string, .addr = 0x0002648a},
	{.symbol = _lookup_symbol_string, .addr = 0x0003e998},
	{.symbol = _lspci_string, .addr = 0x0002355b},
	{.symbol = _malloc_string, .addr = 0x000359fd},
	{.symbol = _malloc_init_string, .addr = 0x0003556a},
	{.symbol = _matchVolumeToString_string, .addr = 0x0002811b},
	{.symbol = _memcmp_string, .addr = 0x000352ed},
	{.symbol = _memcpy_string, .addr = 0x00035a52},
	{.symbol = _memmove_string, .addr = 0x000353aa},
	{.symbol = _memset_string, .addr = 0x0003551b},
	{.symbol = _moduleCallbacks_string, .addr = 0x0003e990},
	{.symbol = _moduleSymbols_string, .addr = 0x0003e994},
	{.symbol = _msgbuf_string, .addr = 0x0003ea1c},
	{.symbol = _msglog_string, .addr = 0x0002c5d9},
	{.symbol = _multiboot_to_boot_string, .addr = 0x000247dc},
	{.symbol = _newEmptyStringWithLength_string, .addr = 0x0002c3b8},
	{.symbol = _newFilteredBVChain_string, .addr = 0x00028427},
	{.symbol = _newGPTBVRef_string, .addr = 0x00028cb5},
	{.symbol = _newString_string, .addr = 0x0002c38d},
	{.symbol = _newStringForKey_string, .addr = 0x0002c2e7},
	{.symbol = _newStringWithFormat_string, .addr = 0x0002c423},
	{.symbol = _newStringWithLength_string, .addr = 0x0002b8dc},
	{.symbol = _open_string, .addr = 0x00024f4e},
	{.symbol = _open_bvdev_string, .addr = 0x000251cb},
	{.symbol = _opendir_string, .addr = 0x00024efc},
	{.symbol = _parse_mach_string, .addr = 0x0002728e},
	{.symbol = _pause_string, .addr = 0x0002c744},
	{.symbol = _pci_config_read16_string, .addr = 0x0002e7fa},
	{.symbol = _pci_config_read32_string, .addr = 0x0002e825},
	{.symbol = _pci_config_read8_string, .addr = 0x0002e7d0},
	{.symbol = _pci_config_write16_string, .addr = 0x0002e83d},
	{.symbol = _pci_config_write32_string, .addr = 0x0002eb3e},
	{.symbol = _pci_config_write8_string, .addr = 0x0002eb10},
	{.symbol = _platform_env_string, .addr = 0x0003e97c},
	{.symbol = _prf_string, .addr = 0x0003614e},
	{.symbol = _printMemoryInfo_string, .addr = 0x000235af},
	{.symbol = _printf_string, .addr = 0x0002c529},
	{.symbol = _processBootOptions_string, .addr = 0x00022fa9},
	{.symbol = _promptForRescanOption_string, .addr = 0x00022b46},
	{.symbol = _ptol_string, .addr = 0x000350fc},
	{.symbol = _putc_string, .addr = 0x0002cb71},
	{.symbol = _putca_string, .addr = 0x0002cb31},
	{.symbol = _putchar_string, .addr = 0x0002c650},
	{.symbol = _rand_string, .addr = 0x000352cc},
	{.symbol = _random_string, .addr = 0x0002a5ad},
	{.symbol = _random_free_string, .addr = 0x0002a59b},
	{.symbol = _random_init_string, .addr = 0x0002a694},
	{.symbol = _re_set_env_string, .addr = 0x00025910},
	{.symbol = _re_set_env_copy_string, .addr = 0x00026116},
	{.symbol = _read_string, .addr = 0x00024c31},
	{.symbol = _readBootSector_string, .addr = 0x00028c58},
	{.symbol = _readDefaultPlatformName_string, .addr = 0x0002c8fe},
	{.symbol = _readKeyboardShiftFlags_string, .addr = 0x0002cf12},
	{.symbol = _readKeyboardStatus_string, .addr = 0x0002cf39},
	{.symbol = _readSMBIOS_string, .addr = 0x0002c7dd},
	{.symbol = _readdir_string, .addr = 0x00024882},
	{.symbol = _realloc_string, .addr = 0x00035a11},
	{.symbol = _rebase_location_string, .addr = 0x000263c5},
	{.symbol = _rebase_macho_string, .addr = 0x00026156},
	{.symbol = _ref_strings_string, .addr = 0x0003ea24},
	{.symbol = _register_hook_callback_string, .addr = 0x000276ac},
	{.symbol = _replace_function_string, .addr = 0x000267af},
	{.symbol = _replace_function_any_string, .addr = 0x000267f5},
	{.symbol = _replace_system_function_string, .addr = 0x00026807},
	{.symbol = _rescanBIOSDevice_string, .addr = 0x000286d4},
	{.symbol = _reserveKern107BootStruct_string, .addr = 0x0002a194},
	{.symbol = _reserveKern108BootStruct_string, .addr = 0x00029f20},
	{.symbol = _reserveKernLegacyBootStruct_string, .addr = 0x00029d71},
	{.symbol = _root_pci_dev_string, .addr = 0x00040aec},
	{.symbol = _safe_set_env_string, .addr = 0x000260d8},
	{.symbol = _safe_set_env_copy_string, .addr = 0x000260ff},
	{.symbol = _scanBootVolumes_string, .addr = 0x00024a5c},
	{.symbol = _scanDisks_string, .addr = 0x000252e2},
	{.symbol = _scan_cpu_string, .addr = 0x0002f3ff},
	{.symbol = _scan_pci_bus_string, .addr = 0x0002e9e7},
	{.symbol = _scan_platform_string, .addr = 0x000253bd},
	{.symbol = _scollPage_string, .addr = 0x0002c9d7},
	{.symbol = _selectBootVolume_string, .addr = 0x00024923},
	{.symbol = _setActiveDisplayPage_string, .addr = 0x0002c9ae},
	{.symbol = _setBootArgsVideoMode_string, .addr = 0x00029b06},
	{.symbol = _setBootArgsVideoStruct_string, .addr = 0x00029b23},
	{.symbol = _setBootGlobals_string, .addr = 0x00024d1b},
	{.symbol = _setConsoleCursor_string, .addr = 0x0002c416},
	{.symbol = _setConsoleMsg_string, .addr = 0x0002c409},
	{.symbol = _setCursorPosition_string, .addr = 0x0002cac2},
	{.symbol = _setCursorType_string, .addr = 0x0002ca98},
	{.symbol = _setRootVolume_string, .addr = 0x000248a4},
	{.symbol = _setVBEMode_string, .addr = 0x0002d3e8},
	{.symbol = _setVBEPalette_string, .addr = 0x0002d38e},
	{.symbol = _set_env_string, .addr = 0x00025fcc},
	{.symbol = _set_env_copy_string, .addr = 0x00025fb5},
	{.symbol = _setjmp_string, .addr = 0x00035fe5},
	{.symbol = _setupBooterLog_string, .addr = 0x0002c68c},
	{.symbol = _setupDeviceProperties_string, .addr = 0x000348e1},
	{.symbol = _setupFakeEfi_string, .addr = 0x0002ac70},
	{.symbol = _setupSmbiosConfigFile_string, .addr = 0x0002a9d5},
	{.symbol = _setup_acpi_string, .addr = 0x0002abcb},
	{.symbol = _setup_pci_devs_string, .addr = 0x0002e89b},
	{.symbol = _showHelp_string, .addr = 0x00022d67},
	{.symbol = _showMessage_string, .addr = 0x00022d4b},
	{.symbol = _showTextBuffer_string, .addr = 0x00022b64},
	{.symbol = _showTextFile_string, .addr = 0x00022cb3},
	{.symbol = _sleep_string, .addr = 0x0002d311},
	{.symbol = _slvprintf_string, .addr = 0x00035b0c},
	{.symbol = _sprintf_string, .addr = 0x00035b46},
	{.symbol = _sputc_string, .addr = 0x0002c3d1},
	{.symbol = _srand_string, .addr = 0x000352bf},
	{.symbol = _startprog_string, .addr = 0x0002038d},
	{.symbol = _stop_string, .addr = 0x0002c59f},
	{.symbol = _strbreak_string, .addr = 0x000353c4},
	{.symbol = _strcat_string, .addr = 0x000351fb},
	{.symbol = _strchr_string, .addr = 0x0003521b},
	{.symbol = _strcmp_string, .addr = 0x00034fe3},
	{.symbol = _strcpy_string, .addr = 0x00035041},
	{.symbol = _strdup_string, .addr = 0x00035364},
	{.symbol = _string_string, .addr = 0x0003eb8c},
	{.symbol = _stringdata_string, .addr = 0x0003eb90},
	{.symbol = _stringlength_string, .addr = 0x0003eb94},
	{.symbol = _strlcat_string, .addr = 0x00035457},
	{.symbol = _strlcpy_string, .addr = 0x000350b7},
	{.symbol = _strlen_string, .addr = 0x000351c4},
	{.symbol = _strncat_string, .addr = 0x00035192},
	{.symbol = _strncmp_string, .addr = 0x0003500c},
	{.symbol = _strncpy_string, .addr = 0x00035059},
	{.symbol = _strnlen_string, .addr = 0x000351de},
	{.symbol = _strstr_string, .addr = 0x000354b4},
	{.symbol = _strtol_string, .addr = 0x00035b82},
	{.symbol = _strtoul_string, .addr = 0x00035ce3},
	{.symbol = _strtouq_string, .addr = 0x00035e33},
	{.symbol = _testBiosread_string, .addr = 0x00029af4},
	{.symbol = _testFAT32EFIBootSector_string, .addr = 0x00028be0},
	{.symbol = _textAddress_string, .addr = 0x0003e980},
	{.symbol = _textSection_string, .addr = 0x0003e988},
	{.symbol = _time18_string, .addr = 0x0002ced8},
	{.symbol = _unset_env_string, .addr = 0x000258f9},
	{.symbol = _usefixedrandom_string, .addr = 0x0002a57a},
	{.symbol = _utf_decodestr_string, .addr = 0x00034c8b},
	{.symbol = _utf_encodestr_string, .addr = 0x00034d66},
	{.symbol = _verbose_string, .addr = 0x0002c4aa},
	{.symbol = _video_mode_string, .addr = 0x0002ce1c},
	{.symbol = _waitThenReload_string, .addr = 0x000244bf},
	{.symbol = _write_string, .addr = 0x00024c90},
	{.symbol = _zalloced_size_string, .addr = 0x00040f18},
	{.symbol = _zout_string, .addr = 0x00040f1c},
	{.symbol = boot2_string, .addr = 0x00020200},
};
